package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.StudentAttendanceStatusEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.StringUtils;
import sun.swing.StringUIClientPropertyKey;

/**
 * @Author Joburgess
 * @Date 2019/9/11
 * 上课点名响应
 */
public class StudentAttendanceViewDto {

    @ApiModelProperty(value = "乐团类型",required = false)
    private String groupType;

    @ApiModelProperty(value = "乐团ID",required = false)
    private String musicGroupId;

    @ApiModelProperty(value = "科目ID",required = false)
    private Long subjectId;

    @ApiModelProperty(value = "班级ID",required = false)
    private Long classGroupId;

    @ApiModelProperty(value = "学生ID",required = false)
    private Long studentId;

    @ApiModelProperty(value = "科目名称",required = false)
    private String subjectName;

    @ApiModelProperty(value = "学生姓名",required = false)
    private String userName;

    @ApiModelProperty(value = "电话")
    private String phone;

    @ApiModelProperty(value = "学生头像")
    private String avatar;

    @ApiModelProperty(value = "缴费状态")
    private String paymentStatus = "PAID_COMPLETED";

    @ApiModelProperty(value = "学生在学状态",required = false)
    private StudentAttendanceStatusEnum status;

    public String getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(String paymentStatus) {
        if(StringUtils.isEmpty(paymentStatus)){
            paymentStatus = "PAID_COMPLETED";
        }
        this.paymentStatus = paymentStatus;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getGroupType() {
        return groupType;
    }

    public void setGroupType(String groupType) {
        this.groupType = groupType;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public StudentAttendanceStatusEnum getStatus() {
        return status;
    }

    public void setStatus(StudentAttendanceStatusEnum status) {
        this.status = status;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public Long getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Long classGroupId) {
        this.classGroupId = classGroupId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }
}
